@echo off
cls
drawbox 1 1 4 53 2 red on blu fill blu
scrput 2 4 whi on blu The Ultra Bloody Duke Launcher v1.0
scrput 3 4 whi on blu Warning: Prepare to kick some ass or be kicked!
echo.
echo.
echo.
echo.
echo.
echo.
echo Choose: 1) Ultra Bloody Duke
echo         2) Single Crazed Match
echo         3) The Original Duke
echo         4) Multiplayer Ultra Bloody Duke
echo.
inkey /d Your Choice? [1-4]  %%choice
goto choose

:CHOOSE
if "%choice"=="1" goto UBDUKE
if "%choice"=="2" goto CHOOSE_LEVEL
if "%choice"=="3" goto DUKE3D
if "%choice"=="4" goto MULT
goto END

:CHOOSE_LEVEL
inkey /d Which episode? [1]  %%episode
inkey /d Which level? [1-6]  %%level
goto CRAZED

:UBDUKE
duke3d /xGAME-UB.CON
goto NORMAL_END

:CRAZED   
duke3d /xGAME-CRZ.CON /v%episode /l%level /s4 /tx
goto NORMAL_END

:DUKE3D
duke3d
goto NORMAL_END

:MULT
setup /xGAME-UB.CON
goto NORMAL_END

:NORMAL_END
echo.
echo Hope you enjoyed Ultra Bloody Duke!
goto END

:END
